<html>
	<head>
		<title>Server Side Validation</title>
		<style type="text/css">
		body{
			background: #eee;
		}

		/*centered form*/
		@media(min-width:768px) {
	 
    	.content {
	        position: inherit;
	        margin: 0 400px 0 400px; 
		    }
		 .row > .input {
		 	width: 100%;
		 	margin: 0;
		 }
		 .row > .button { 
		 	width: auto;
		 	margin-left: 85px; 
		 }

		
		}

		/*default width of the container*/
		#container{
			width: 100%; 

		} 

		/*for the content*/
		#container > .content{  
			background: #dedede;
			position: inherit;
			padding: 10px;
		}

		/*for the input*/
 		.row > .input  { 
 			width: 80%;
		 	display: inline-block; 
		 	height: 30px;
		 	 
		 }
		 /*for the label*/
		.row > .label {
		 	width: 80px;
		 	display: inline-block;
		 }
		 /*for the row*/
		 .content > .row {
		 	padding: 0px 0px 5px 0;   
		 }
		 /*for the error message*/
  
		.row > #errormsg{ 
		 	color: red; 
		 	position: absolute;
		 	display: inline-block;
		 	font-size: 12px;
		 	width: auto;
		 	padding: 2px;
		 }
		 /*for the button*/
		.row >  .button {
		 	height: 30px;  
		 	position: inherit; 
		 }
		</style>
		<?php
			/*load the method of validation*/
			include 'validation.php';
		?>
	</head>
	<body>
		<form action="" method="POST" id="container">
			<div class="content">
			<h1>Register Now!</h1>
				<div class="row">
					<label class="label">Name: </label>
					<input type="text" class="input" name="name" value="<?php echo !isset($errorName)? $name : ''?>">
					<!-- validate the error message -->
					<?php echo isset($errorName) ? '<span id="errormsg">'.$errorName.'</span>' : ''?>
				</div>
				<div class="row">
					<label class="label">Email:</label>
					<input type="text" class="input" name="email" value="<?php echo !isset($errorEmail)? $email : ''?>">
					<!-- validate the error message -->
					<?php echo isset($errorEmail) ? '<span id="errormsg">'.$errorEmail.'</span>' : ''?>
				</div>
				<div class="row">
					<label class="label">Contact #:</label>
					<input type="text" class="input" name="contact" value="<?php echo !isset($errorContact)? $contact : ''?>">
					<!-- validate the error message -->
					<?php echo isset($errorContact) ? '<span id="errormsg">'.$errorContact.'</span>' : ''?>
				</div>
				<div class="row">
					<label class="label">Address:</label>
					<input type="text" class="input" name="address" value="<?php echo !isset($errorAddress)? $address : ''?>">
					<!-- validate the error message -->
					<?php echo isset($errorAddress) ? '<span id="errormsg">'.$errorAddress.'</span>' : ''?>
				</div> 
				<div class="row">
					<button type="submit" class="button"  name="submit">Submit</button>
				</div>
			</div>
		</form>
	</body>
</html>
 